############################################
# Purpose:
# This script can be used to remove all the contents of a Fortran code that can make it harder to parse.
# It will merge split lines, remove comments and empty lines.
############################################
from AutoRPE.UtilsRPE.SourceManager import preprocess_sources
from AutoRPE.UtilsRPE.Error import PathType


def get_command_line_arguments():
    import argparse
    parser = argparse.ArgumentParser()
    parser.add_argument("-i", "--input-sources", required=True, type=PathType(exists=True, type='dir'),
                        help="Path to a folder that contains the preprocessed code source")
    parser.add_argument("-o", "--output-sources", required=True,
                        help="Path to the folder that will contain the clean code")

    args = parser.parse_args()

    return args


if __name__ == "__main__":

    args = get_command_line_arguments()

    path_to_input_sources = args.input_sources
    path_to_output_sources = args.output_sources

    preprocess_sources(path_to_input_sources, path_to_output_sources)
